---
agentTools:
  projectIndex: https://docs.followupboss.com/llms.txt
---

# /people/:id

Update a person by id.

> ❗️ Tag updates will overwrite all existing tags
>
> Please note that when using the tags property, all existing tags for a person will be overwritten to use the new list of tags provided.
>
> To merge new tags with the contact's existing tag list, set the `mergeTags` query parameter in the request URL to true.

> ❗️ Phone number updates will overwrite existing phone numbers
>
> The `phones` argument will overwrite all existing phone numbers, including those associated with relationships.
>
> For example, if a contact has phone numbers of `123-456-7890` and `123-456-7891` and you want to edit the second one to `123-456-7892`, you'll need to send the first one along with the updated second number. Similarly, if you wanted to add a number you need to send that with the existing set of phone numbers.

> 🚧 Altering email addresses and phone numbers of relationships
>
> Email addresses and phone numbers associated to relationships can be edited and deleted through `/v1/people` , however you cannot alter the `relationshipId` of a given email address or phone number through `/v1/people`. This must be done through [`/v1/peopleRelationships`](https://docs.followupboss.com/reference/peoplerelationships-id-put).

> 🚧 Changing the `contacted` field
>
> Changing the `contacted` field to `true` will pause action plans.

> 📘 Custom Fields
>
> If the account has custom fields defined you can also set these when updating a person. You can use the [customFields endpoint](https://docs.followupboss.com/docs/custom-fields-get)  to see which custom fields are available in the current account.
>
> To delete a custom field value on a person, set its value to null. (e.g., `customBirthday: null`)